diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/RuleImplTab.java b/pki/base/console/src/com/netscape/admin/certsrv/config/RuleImplTab.java
index b0c262dea41546367f0944e94437dd576434834c..098cbcbd16bc64b3c3a6aae338f306fe2e0f8768 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/RuleImplTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/RuleImplTab.java
@@ -21,11 +21,10 @@ import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.ug.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -115,9 +114,9 @@ public class RuleImplTab extends CMSBaseUGTab {
                     mDataModel.getObjectValueAt(mTable.getSelectedRow());    
             if (mViewer==null)
                 mViewer = new ViewDialog(mModel.getFrame());
-            mViewer.showDialog(obj.getValue(IMPL_NAME),
-                               obj.getValue(IMPL_CLASS),
-                               obj.getValue(IMPL_DESC));
+            mViewer.showDialog(obj.get(IMPL_NAME),
+                               obj.get(IMPL_CLASS),
+                               obj.get(IMPL_DESC));
         }        
         if (e.getSource().equals(mHelp)) {
             helpCallback();
@@ -270,15 +269,15 @@ public class RuleImplTab extends CMSBaseUGTab {
         int i=0;
         String[] vals = new String[response.size()];
         Hashtable data = new Hashtable();
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            String value = response.getValue(entry);
+        for (String entry : response.keySet()) {
+            entry = entry.trim();
+            String value = response.get(entry);
             int x = value.indexOf(",");
             NameValuePairs obj = new NameValuePairs();
-            obj.add(IMPL_NAME,entry);
+            obj.put(IMPL_NAME, entry);
             vals[i++]= entry ;
-            obj.add(IMPL_CLASS, value.substring(0,x));
-            obj.add(IMPL_DESC, value.substring(x+1));
+            obj.put(IMPL_CLASS, value.substring(0, x));
+            obj.put(IMPL_DESC, value.substring(x + 1));
             data.put(entry,obj);
         }
         
@@ -306,7 +305,7 @@ public class RuleImplTab extends CMSBaseUGTab {
         try {
             mConnection.delete(mDestination,
                                ScopeDef.SC_RULE_IMPLS,
-                               obj.getValue(IMPL_NAME));
+                               obj.get(IMPL_NAME));
         } catch (EAdminException e) {
             //display error dialog
             showErrorDialog(e.getMessage());
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/RuleRuleDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/config/RuleRuleDataModel.java
index 0eb22433de47003aa9470ba6bb544c0e3ee81256..cee7727a16e5bc0dd320256a62732e67aa5a15ed 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/RuleRuleDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/RuleRuleDataModel.java
@@ -20,7 +20,6 @@ package com.netscape.admin.certsrv.config;
 import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.management.client.util.Debug;
 
@@ -52,19 +51,19 @@ public class RuleRuleDataModel extends CMSRuleDataModel
         Vector v = new Vector();
         NameValuePairs obj = (NameValuePairs) data;
 
-        if (obj.getValue(RULE_STAT).equalsIgnoreCase("enabled")) {
-            v.addElement(new JLabel(obj.getValue(RULE_NAME),
+        if (obj.get(RULE_STAT).equalsIgnoreCase("enabled")) {
+            v.addElement(new JLabel(obj.get(RULE_NAME),
                     CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE),
                     JLabel.LEFT));
             v.addElement(mResource.getString("RULERULE_LABEL_ENABLED_LABEL"));       
         } else {
-            v.addElement(new JLabel(obj.getValue(RULE_NAME),
+            v.addElement(new JLabel(obj.get(RULE_NAME),
                     CMSAdminUtil.getImage(CMSAdminResources.IMAGE_RULE_DISABLE),
                     JLabel.LEFT));
             v.addElement(mResource.getString("RULERULE_LABEL_DISABLED_LABEL"));
         }
         addRow(v, data);
-        mRules.addElement(obj.getValue(RULE_NAME));
+        mRules.addElement(obj.get(RULE_NAME));
     }
 
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/TKSKeysTab.java b/pki/base/console/src/com/netscape/admin/certsrv/config/TKSKeysTab.java
index 458885e2ab43fb07fb9ffd448f249f8562065862..ac8b5e610b0d4e942baf0e64a8300bd3c837999e 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/TKSKeysTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/TKSKeysTab.java
@@ -17,22 +17,17 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.admin.certsrv.config;
 
-import com.netscape.admin.certsrv.keycert.*;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.ug.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.console.*;
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
-import org.mozilla.jss.*;
-import org.mozilla.jss.pkcs10.*;
-import org.mozilla.jss.crypto.*;
 import org.mozilla.jss.CryptoManager;
 /**
  * User Certs Tab
@@ -239,9 +234,8 @@ public class TKSKeysTab extends CMSBaseUGTab {
 			mToken.removeAllItems();
 			String[] vals = new String[response.size()];
 			int i=0;
-			for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-				String entry = ((String)e.nextElement()).trim();
-				vals[i++] = entry;
+            for (String entry : response.keySet()) {
+				vals[i++] = entry.trim();
 			}
         
 			int sindex = 0;
@@ -249,7 +243,7 @@ public class TKSKeysTab extends CMSBaseUGTab {
 			for (i=0; i<vals.length; i++) {
 				Vector v = new Vector();
 				String entry = vals[i];
-				String value = response.getValue(entry);
+				String value = response.get(entry);
 				// look for the comma separator
 				
 				StringTokenizer st = new StringTokenizer(value, ",");
@@ -293,7 +287,7 @@ public class TKSKeysTab extends CMSBaseUGTab {
         NameValuePairs response;
         NameValuePairs request;
         request = new NameValuePairs();
-        request.add(Constants.PR_TOKEN_LIST, (String)mToken.getSelectedItem());
+        request.put(Constants.PR_TOKEN_LIST, (String) mToken.getSelectedItem());
         try {
             response = mConnection.search(mDestination,
               ScopeDef.SC_TKSKEYSLIST, request); 
@@ -311,9 +305,8 @@ public class TKSKeysTab extends CMSBaseUGTab {
         if (response != null) {
             String[] vals = new String[response.size()];
             int i=0;
-            for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-                String entry = ((String)e.nextElement()).trim();
-                vals[i++] = entry;
+            for (String entry : response.keySet()) {
+                vals[i++] = entry.trim();
             }
             
             int sindex = 0;
@@ -321,7 +314,7 @@ public class TKSKeysTab extends CMSBaseUGTab {
             for (i=0; i<vals.length; i++) {
                 String entry = vals[i];
                 if (entry.equals(Constants.PR_TOKEN_LIST)) {
-                    String value = response.getValue(entry);
+                    String value = response.get(entry);
                     // look for the comma separator
                     StringTokenizer st = new StringTokenizer(value, ",");
                     int numberOfKeys = 0;
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/UserCertsTab.java b/pki/base/console/src/com/netscape/admin/certsrv/config/UserCertsTab.java
index e5fc281356336b3a81f7d3cf13714f832725d626..de0a075a11207a5afac437726dbe25f9be612bc7 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/UserCertsTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/UserCertsTab.java
@@ -22,11 +22,10 @@ import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.ug.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.console.*;
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
@@ -123,17 +122,16 @@ public class UserCertsTab extends CMSBaseUGTab {
             
             try {
                 NameValuePairs nvps = new NameValuePairs();
-                nvps.add(Constants.PR_NICK_NAME, nickname);
-                nvps.add(Constants.PR_SERIAL_NUMBER, serialno);
-                nvps.add(Constants.PR_ISSUER_NAME, issuername);
+                nvps.put(Constants.PR_NICK_NAME, nickname);
+                nvps.put(Constants.PR_SERIAL_NUMBER, serialno);
+                nvps.put(Constants.PR_ISSUER_NAME, issuername);
                 NameValuePairs results = mConnection.read(
                   DestDef.DEST_SERVER_ADMIN, ScopeDef.SC_CERT_PRETTY_PRINT,
                   Constants.RS_ID_CONFIG, nvps);
                 if (nvps.size() <= 0)
                     return;
-                NameValuePair nvp = results.elementAt(0);
-                String name = nvp.getName();
-                String print = nvp.getValue();
+                String name = results.keySet().iterator().next(); // first element
+                String print = results.get(name);
                 CertViewDialog certdialog = new CertViewDialog(mModel.getFrame());
                 certdialog.showDialog(nickname, print);
             } catch (EAdminException ex) {
@@ -289,9 +287,8 @@ public class UserCertsTab extends CMSBaseUGTab {
         if (response != null) {
             String[] vals = new String[response.size()];
             int i=0;
-            for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-                String entry = ((String)e.nextElement()).trim();
-                vals[i++] = entry;
+            for (String entry : response.keySet()) {
+                vals[i++] = entry.trim();
             }
             
             int sindex = 0;
@@ -300,7 +297,7 @@ public class UserCertsTab extends CMSBaseUGTab {
             for (i=0; i<vals.length; i++) {
                 Vector v = new Vector();
                 String entry = vals[i];
-                String value = response.getValue(entry);
+                String value = response.get(entry);
 
                 // look for the comma separator
                 int lastindex = entry.lastIndexOf(",");
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/install/WICertExtensionPage.java b/pki/base/console/src/com/netscape/admin/certsrv/config/install/WICertExtensionPage.java
index 7ba0636fd2712a7bc00778adcb0e756b36f318f2..8c989685abe193aeacdfc2c555581ac553b3bdec 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/install/WICertExtensionPage.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/install/WICertExtensionPage.java
@@ -17,18 +17,10 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.admin.certsrv.config.install;
 
-import java.awt.*;
-import java.awt.event.*;
-import javax.swing.border.*;
-import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.wizard.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.admin.certsrv.config.*;
-import com.netscape.management.client.console.*;
-import com.netscape.admin.certsrv.task.*;
-import java.util.*;
 
 /**
  * Certificate Extension for installation wizard.
@@ -87,12 +79,12 @@ class WICertExtensionPage extends WBaseCertExtensionPage implements
         if (ready) {
             NameValuePairs nvps = new NameValuePairs();
 
-            nvps.add(Constants.PR_CERTIFICATE_TYPE, wizardInfo.getCertType());
-            nvps.add(Constants.PR_SUBJECT_NAME, wizardInfo.getSubjectName());
-            nvps.add(Constants.PR_TOKEN_NAME, wizardInfo.getTokenName());
-            nvps.add(Constants.PR_KEY_LENGTH, wizardInfo.getKeyLength());
-            nvps.add(Constants.PR_KEY_TYPE, wizardInfo.getKeyType());
-            nvps.add(Constants.PR_KEY_CURVENAME, wizardInfo.getKeyCurveName());
+            nvps.put(Constants.PR_CERTIFICATE_TYPE, wizardInfo.getCertType());
+            nvps.put(Constants.PR_SUBJECT_NAME, wizardInfo.getSubjectName());
+            nvps.put(Constants.PR_TOKEN_NAME, wizardInfo.getTokenName());
+            nvps.put(Constants.PR_KEY_LENGTH, wizardInfo.getKeyLength());
+            nvps.put(Constants.PR_KEY_TYPE, wizardInfo.getKeyType());
+            nvps.put(Constants.PR_KEY_CURVENAME, wizardInfo.getKeyCurveName());
             addValidityPeriod(wizardInfo, nvps);
 
             if (mBasicCheckBox.isSelected())
@@ -102,16 +94,16 @@ class WICertExtensionPage extends WBaseCertExtensionPage implements
                 addExtendedKey(nvps);
 
             if (mAKICheckBox.isSelected())
-                nvps.add(Constants.PR_AKI, Constants.TRUE);
+                nvps.put(Constants.PR_AKI, Constants.TRUE);
 
             if (mSKICheckBox.isSelected())
-                nvps.add(Constants.PR_SKI, Constants.TRUE);
+                nvps.put(Constants.PR_SKI, Constants.TRUE);
 
             if (mKeyUsageBox.isSelected())
-                nvps.add(Constants.PR_KEY_USAGE, Constants.TRUE);
+                nvps.put(Constants.PR_KEY_USAGE, Constants.TRUE);
 
             if (mMIMECheckBox.isSelected())
-                nvps.add(Constants.PR_DER_EXTENSION, mMIMEText.getText().trim());
+                nvps.put(Constants.PR_DER_EXTENSION, mMIMEText.getText().trim());
 
             wizardInfo.put(wizardInfo.ALL_CERT_INFO, nvps); 
         }
@@ -122,45 +114,45 @@ class WICertExtensionPage extends WBaseCertExtensionPage implements
 
     private void addValidityPeriod(InstallWizardInfo wizardInfo, 
       NameValuePairs nvps) {
-        nvps.add(Constants.PR_BEGIN_YEAR, wizardInfo.getBeginYear());
-        nvps.add(Constants.PR_BEGIN_MONTH, wizardInfo.getBeginMonth());
-        nvps.add(Constants.PR_BEGIN_DATE, wizardInfo.getBeginDate());
-        nvps.add(Constants.PR_BEGIN_HOUR, wizardInfo.getBeginHour());
-        nvps.add(Constants.PR_BEGIN_MIN, wizardInfo.getBeginMin());
-        nvps.add(Constants.PR_BEGIN_SEC, wizardInfo.getBeginSec());
-        nvps.add(Constants.PR_AFTER_YEAR, wizardInfo.getAfterYear());
-        nvps.add(Constants.PR_AFTER_MONTH, wizardInfo.getAfterMonth());
-        nvps.add(Constants.PR_AFTER_DATE, wizardInfo.getAfterDate());
-        nvps.add(Constants.PR_AFTER_HOUR, wizardInfo.getAfterHour());
-        nvps.add(Constants.PR_AFTER_MIN, wizardInfo.getAfterMin());
-        nvps.add(Constants.PR_AFTER_SEC, wizardInfo.getAfterSec());
+        nvps.put(Constants.PR_BEGIN_YEAR, wizardInfo.getBeginYear());
+        nvps.put(Constants.PR_BEGIN_MONTH, wizardInfo.getBeginMonth());
+        nvps.put(Constants.PR_BEGIN_DATE, wizardInfo.getBeginDate());
+        nvps.put(Constants.PR_BEGIN_HOUR, wizardInfo.getBeginHour());
+        nvps.put(Constants.PR_BEGIN_MIN, wizardInfo.getBeginMin());
+        nvps.put(Constants.PR_BEGIN_SEC, wizardInfo.getBeginSec());
+        nvps.put(Constants.PR_AFTER_YEAR, wizardInfo.getAfterYear());
+        nvps.put(Constants.PR_AFTER_MONTH, wizardInfo.getAfterMonth());
+        nvps.put(Constants.PR_AFTER_DATE, wizardInfo.getAfterDate());
+        nvps.put(Constants.PR_AFTER_HOUR, wizardInfo.getAfterHour());
+        nvps.put(Constants.PR_AFTER_MIN, wizardInfo.getAfterMin());
+        nvps.put(Constants.PR_AFTER_SEC, wizardInfo.getAfterSec());
     }
 
     private void addBasicConstraints(NameValuePairs nvps) {
         if (mCACheckBox.isSelected())
-            nvps.add(Constants.PR_IS_CA, Constants.TRUE);
+            nvps.put(Constants.PR_IS_CA, Constants.TRUE);
 
 	if (mCertPathBox.isSelected()) {
             String certLen = mCertPathText.getText().trim();
             if (!certLen.equals(""))
-               nvps.add(Constants.PR_CERT_LEN, certLen);
+               nvps.put(Constants.PR_CERT_LEN, certLen);
 	} else {
 	    // negative number means infinity
-            nvps.add(Constants.PR_CERT_LEN, "-1");
+            nvps.put(Constants.PR_CERT_LEN, "-1");
 	}
     }
 
     private void addExtendedKey(NameValuePairs nvps) {
         if (mSSLClient.isSelected()) 
-            nvps.add(Constants.PR_SSL_CLIENT_BIT, Constants.TRUE);
+            nvps.put(Constants.PR_SSL_CLIENT_BIT, Constants.TRUE);
         if (mSSLServer.isSelected())
-            nvps.add(Constants.PR_SSL_SERVER_BIT, Constants.TRUE);
+            nvps.put(Constants.PR_SSL_SERVER_BIT, Constants.TRUE);
         if (mSSLMail.isSelected())
-            nvps.add(Constants.PR_SSL_MAIL_BIT, Constants.TRUE);
+            nvps.put(Constants.PR_SSL_MAIL_BIT, Constants.TRUE);
         if (mObjectSigning.isSelected())
-            nvps.add(Constants.PR_OBJECT_SIGNING_BIT, Constants.TRUE);
+            nvps.put(Constants.PR_OBJECT_SIGNING_BIT, Constants.TRUE);
         if (mTimeStamping.isSelected())
-            nvps.add(Constants.PR_TIMESTAMPING_BIT, Constants.TRUE);
+            nvps.put(Constants.PR_TIMESTAMPING_BIT, Constants.TRUE);
     }
 
     public void callHelp() {
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/install/WIGenKeyCertPage.java b/pki/base/console/src/com/netscape/admin/certsrv/config/install/WIGenKeyCertPage.java
index 9a5c0b617362fae02646a3a2146f3dfc12122798..8272d44dffc7e2b0a23d1cc17d5d4c435398322b 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/install/WIGenKeyCertPage.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/install/WIGenKeyCertPage.java
@@ -18,14 +18,10 @@
 package com.netscape.admin.certsrv.config.install;
 
 import java.awt.*;
-import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.wizard.*;
 import com.netscape.certsrv.common.*;
-import com.netscape.admin.certsrv.task.*;
-import com.netscape.management.client.console.*;
 
 /**
  * Generate the certificate
@@ -85,10 +81,10 @@ class WIGenKeyCertPage extends WizardBasePanel implements IWizardPanel {
             rawData = rawData+"&"+ConfigConstants.PR_DB_PWD+"="+wizardInfo.getInternalDBPasswd();
 
 	if (nvps != null) {
-        	for (int i=0; i<nvps.size(); i++) {
-        	    NameValuePair nvp = (NameValuePair)nvps.elementAt(i);
-                    rawData = rawData+"&"+nvp.getName()+"="+nvp.getValue();
-        	}
+        for (String name : nvps.keySet()) {
+            String value = nvps.get(name);
+            rawData = rawData+"&"+name+"="+value;
+        }
 	}
         
         startProgressStatus();
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/config/install/WIGenKeyCertReqPage.java b/pki/base/console/src/com/netscape/admin/certsrv/config/install/WIGenKeyCertReqPage.java
index 7d83c8b65896ef44fb4eecbbaab9afd94eaefbb6..b5c0378c310e43f4260eac535ae4efa36c0841db 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/config/install/WIGenKeyCertReqPage.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/config/install/WIGenKeyCertReqPage.java
@@ -18,15 +18,10 @@
 package com.netscape.admin.certsrv.config.install;
 
 import java.awt.*;
-import java.util.*;
 import javax.swing.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.wizard.*;
 import com.netscape.certsrv.common.*;
-import com.netscape.admin.certsrv.task.*;
-import com.netscape.management.client.console.*;
-import com.netscape.management.client.util.*;
 
 /**
  * Generate the certificate request
@@ -70,7 +65,7 @@ class WIGenKeyCertReqPage extends WizardBasePanel implements IWizardPanel {
 		NameValuePairs nvps =
 			(NameValuePairs)wizardInfo.get(wizardInfo.ALL_CERT_INFO);
 		if (nvps != null) {
-			str = (String)nvps.getValue(Constants.PR_SKI);
+			str = (String)nvps.get(Constants.PR_SKI);
 			if (str != null && str.equals(ConfigConstants.TRUE)) {
 				mCMC.setEnabled(true);
 				mCMC.setVisible(true);
@@ -171,11 +166,10 @@ class WIGenKeyCertReqPage extends WizardBasePanel implements IWizardPanel {
 
         NameValuePairs nvps = wizardInfo.getAllCertInfo();//extensions
         if (nvps != null)  {
-            for (int i=0; i<nvps.size(); i++) {
-                NameValuePair nvp = (NameValuePair)nvps.elementAt(i);
-
-			    if (nvp.getName()!= null && nvp.getValue()!= null)
-                    rawData = rawData+"&"+nvp.getName()+"="+nvp.getValue();
+            for (String name : nvps.keySet()) {
+                String value = nvps.get(name);
+			    if (name != null && value != null)
+                    rawData = rawData+"&"+name+"="+value;
             }
         }
 
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/connection/AdminConnection.java b/pki/base/console/src/com/netscape/admin/certsrv/connection/AdminConnection.java
index 7539c393c82ffe9d0f012761ff691f6c5094fc29..acb023132ceb23c377c0c958e453e5a50d3cc4b2 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/connection/AdminConnection.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/connection/AdminConnection.java
@@ -20,7 +20,7 @@ package com.netscape.admin.certsrv.connection;
 import java.io.*;
 import java.net.*;
 import java.util.*;
-import java.util.*;
+
 import com.netscape.certsrv.common.*;
 import com.netscape.admin.certsrv.*;
 import com.netscape.management.client.util.*;
@@ -263,9 +263,9 @@ public class AdminConnection {
         request.set(Constants.OP_TYPE, OpDef.OP_ADD);
         request.set(Constants.OP_SCOPE, scope);
         request.set(Constants.RS_ID, id);
-        for (int i = 0; i < pairs.size(); i++) {
-            NameValuePair p = (NameValuePair)pairs.elementAt(i);
-            request.set(p.getName(), p.getValue());
+        for (String name : pairs.keySet()) {
+            String value = pairs.get(name);
+            request.set(name, value);
         }
         Response response = sendRequest(request);
         if (response.getReturnCode() == Response.SUCCESS) {
@@ -319,9 +319,9 @@ public class AdminConnection {
         request.set(Constants.OP_TYPE, OpDef.OP_DELETE);
         request.set(Constants.OP_SCOPE, scope);
         request.set(Constants.RS_ID, id);
-        for (int i = 0; i < pairs.size(); i++) {
-            NameValuePair p = (NameValuePair)pairs.elementAt(i);
-            request.set(p.getName(), p.getValue());
+        for (String name : pairs.keySet()) {
+            String value = pairs.get(name);
+            request.set(name, value);
         }
         Response response = sendRequest(request);
         if (response.getReturnCode() == Response.SUCCESS) {
@@ -413,9 +413,9 @@ public class AdminConnection {
         Request request = new Request(mPath + "/" + dest);
         request.set(Constants.OP_TYPE, OpDef.OP_SEARCH);
         request.set(Constants.OP_SCOPE, scope);
-        for (int i = 0; i < filters.size(); i++) {
-            NameValuePair p = (NameValuePair)filters.elementAt(i);
-            request.set(p.getName(), p.getValue());
+        for (String name : filters.keySet()) {
+            String value = filters.get(name);
+            request.set(name, value);
         }
 
         Response response = sendRequest(request);
@@ -425,7 +425,7 @@ public class AdminConnection {
             Enumeration e = response.getNames();
             while (e.hasMoreElements()) {
                 String n = (String)e.nextElement();
-		        newpairs.add(n, response.get(n));
+		        newpairs.put(n, response.get(n));
             }
             return newpairs;
         }
@@ -465,9 +465,9 @@ public class AdminConnection {
         request.set(Constants.OP_TYPE, OpDef.OP_READ);
         request.set(Constants.OP_SCOPE, scope);
         request.set(Constants.RS_ID, id);
-        for (int i = 0; i < pairs.size(); i++) {
-            NameValuePair p = (NameValuePair)pairs.elementAt(i);
-            request.set(p.getName(), p.getValue());
+        for (String name : pairs.keySet()) {
+            String value = pairs.get(name);
+            request.set(name, value);
         }
 
         Response response = sendRequest(request);
@@ -477,7 +477,7 @@ public class AdminConnection {
             Enumeration e = response.getNames();
             while (e.hasMoreElements()) {
                 String n = (String)e.nextElement();
-		        newpairs.add(n, response.get(n));
+		        newpairs.put(n, response.get(n));
             }
             return newpairs;
         }
@@ -496,9 +496,9 @@ public class AdminConnection {
         request.set(Constants.OP_SCOPE, scope);
         request.set(Constants.RS_ID, id);
 
-        for (int i = 0; i < pairs.size(); i++) {
-            NameValuePair p = (NameValuePair)pairs.elementAt(i);
-            request.set(p.getName(), p.getValue());
+        for (String name : pairs.keySet()) {
+            String value = pairs.get(name);
+            request.set(name, value);
         }
 
         Response response = sendRequest(request, useGET);
@@ -507,7 +507,7 @@ public class AdminConnection {
             Enumeration e = response.getNames();
             while (e.hasMoreElements()) {
                 String n = (String)e.nextElement();
-                newpairs.add(n, response.get(n));
+                newpairs.put(n, response.get(n));
             }
             return newpairs;
         }
@@ -519,9 +519,9 @@ public class AdminConnection {
         Request request = new Request(mPath + "/" + dest);
         request.set(Constants.OP_TYPE, OpDef.OP_VALIDATE);
         request.set(Constants.OP_SCOPE, scope);
-        for (int i = 0; i < pairs.size(); i++) {
-            NameValuePair p = (NameValuePair)pairs.elementAt(i);
-            request.set(p.getName(), p.getValue());
+        for (String name : pairs.keySet()) {
+            String value = pairs.get(name);
+            request.set(name, value);
         }
 
         Response response = sendRequest(request);
@@ -568,9 +568,9 @@ public class AdminConnection {
         request.set(Constants.OP_TYPE, OpDef.OP_MODIFY);
         request.set(Constants.OP_SCOPE, scope);
         request.set(Constants.RS_ID, id);
-        for (int i = 0; i < pairs.size(); i++) {
-            NameValuePair p = (NameValuePair)pairs.elementAt(i);
-            request.set(p.getName(), p.getValue());
+        for (String name : pairs.keySet()) {
+            String value = pairs.get(name);
+            request.set(name, value);
         }
         Response response = sendRequest(request, useGET);
         if (response.getReturnCode() == Response.SUCCESS) {
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WCertDNPage.java b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WCertDNPage.java
index 661b7e46953c951973457b7ad582ecf0d2f45169..1c2268bb245b040d8d47a72717bb4a96e04f2b66 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/keycert/WCertDNPage.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/keycert/WCertDNPage.java
@@ -17,11 +17,9 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.admin.certsrv.keycert;
 
-import java.awt.*;
-import java.util.*;
 import javax.swing.*;
 import javax.swing.border.*;
-import javax.swing.event.*;
+
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import com.netscape.admin.certsrv.wizard.*;
@@ -62,7 +60,7 @@ class WCertDNPage extends WBaseDNPage implements IWizardPanel {
     public boolean initializePanel(WizardInfo info) {
         CertSetupWizardInfo wizardInfo = (CertSetupWizardInfo)info;
         NameValuePairs nvps = new NameValuePairs();
-        nvps.add(Constants.PR_SUBJECT_NAME, wizardInfo.getSubjectName());
+        nvps.put(Constants.PR_SUBJECT_NAME, wizardInfo.getSubjectName());
         wizardInfo.addEntry(wizardInfo.ALL_INFO, nvps);
 
         if (wizardInfo.getOperationType().equals(wizardInfo.INSTALLTYPE) ||
@@ -133,7 +131,7 @@ class WCertDNPage extends WBaseDNPage implements IWizardPanel {
         AdminConnection connection = wizardInfo.getAdminConnection();
         NameValuePairs nvps = new NameValuePairs();
 
-        nvps.add(Constants.PR_SUBJECT_NAME, str);
+        nvps.put(Constants.PR_SUBJECT_NAME, str);
         wizardInfo.addEntry(Constants.PR_SUBJECT_NAME, str);
 
         try {
@@ -149,13 +147,13 @@ class WCertDNPage extends WBaseDNPage implements IWizardPanel {
         if (wizardInfo.isNewKey()) {
             String type = wizardInfo.getKeyType();
             if (type.equals("ECC")) {
-                nvps.add(Constants.PR_KEY_CURVENAME, wizardInfo.getKeyCurveName());
+                nvps.put(Constants.PR_KEY_CURVENAME, wizardInfo.getKeyCurveName());
             } else {
-                nvps.add(Constants.PR_KEY_LENGTH, wizardInfo.getKeyLength());
+                nvps.put(Constants.PR_KEY_LENGTH, wizardInfo.getKeyLength());
             }
 
-            nvps.add(Constants.PR_KEY_TYPE, type);
-            nvps.add(Constants.PR_TOKEN_NAME, wizardInfo.getTokenName());
+            nvps.put(Constants.PR_KEY_TYPE, type);
+            nvps.put(Constants.PR_TOKEN_NAME, wizardInfo.getTokenName());
         }
 
         wizardInfo.addEntry(wizardInfo.ALL_INFO, nvps);
